Bug 1815466 - Deployment timesout with no appaarent reason [NEEDINFO]
Summary: Deployment timesout with no appaarent reason
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Giulio Fidente
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-20 11:04 UTC by Eduard Barrera
Modified: 2020-03-30 13:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-30 13:12:10 UTC
Target Upstream Version:
johfulto: needinfo? (ebarrera)


Attachments (Terms of Use)

Comment 2 Giulio Fidente 2020-03-20 12:04:15 UTC
the systemd units corresponding to the osds which have been removed can be deleted

from the ceph-ansible execution (and mistral workflow status) it looks like the migration into containers and upgrade succeeded even though it took longer than the heat timeout, hence the update failed

the openstack overcloud ceph-upgrade run should be re-attempted passing

  --ceph-ansible-playbook '/usr/share/ceph-ansible/infrastructure-playbooks/rolling_update.yml'

the timeout can be increased using, for example

  --timeout 360

to set a 6hrs timeout, this will bring back the heat stack in good state after which upgrade can be finalized

Comment 3 John Fulton 2020-03-20 12:54:16 UTC
You should also ensure you're not running into the following issues by updating to the latest patchesets. 

https://access.redhat.com/solutions/4179651
https://access.redhat.com/solutions/4091811

Comment 4 John Fulton 2020-03-23 13:18:10 UTC
Eduard,

Did ensuring the patches from the KCSs in comment #3 and then re-running with --timeout 360 address the issue? If I don't hear back from you in a week I'm close the bug.

Thanks,
  John

Comment 5 John Fulton 2020-03-30 13:12:10 UTC
The information requested a week ago was not provided so I'm closing this bug as mentioned a week ago. If the information becomes available then feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.